Subject: Re: bug#40564: 28.0.50; sql.el should add support PostgreSQL alias "postgresql" of "postgres"

From: stardiviner <[email-masked]>
Date: Mon, 27 Apr 2020 13:08:08 +0800

Stefan Kangas <[email-masked]> writes:

> Michael Mauger <[email-masked]> writes:
>
>> * Based on my understanding of this issue, I believe that this not a feature appropriate
>>   for sql-mode, but rather it represents a weakness in the EJC->SQL mapping. Sql.el has
>>   used `postgres' as the identifier of the PostgreSQL since the first commit in '99. It
>>   was exposed as a user visible variable in `sql-product-alist' in 2003. EJC is using a
>>   heuristic that may work for other products, but it definitely won't work for all (It is
>>   broken for EJC's `sqlserver', which is `ms' in sql.el).

Though I can accept first copy identify to add a new one identity "postgresql" as solution.

Actually, not just in package ejc-sql has this identify problem, in Org Mode's
ob-sql.el also has this problem. And I think "postgres" is an historical name.
(Maybe I misunderstand it https://en.wikipedia.org/wiki/PostgreSQL)

Here is a related discussion thread archive
(https://lists.gnu.org/archive/html/emacs-orgmode/2020-01/msg00347.html).

This two extensions are used by me. Maybe there are other extensions.

Anyway, I can accept maintainer's solution, in private email communication, I
have already accepted, just I also send email here at that time. So I express my
thought.

>
> Thanks.  If I understand correctly, the recommendation is to report
> this to the ejc developers.
>
> Does that mean that this bug should be closed as "wontfix"?  Or is
> there anything more to do here?
>
> Best regards,
> Stefan Kangas